org.eclipse.emf.cdo.ui

## Class CDOTreeExpansionAgent

- java.lang.Object
- - org.eclipse.emf.cdo.ui.CDOTreeExpansionAgent

-     public class CDOTreeExpansionAgent
      extends Object

  Since:
    4.4
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOTreeExpansionAgent(CDOView view, TreeViewer viewer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `CDOView` | `getView()`
    `TreeViewer` | `getViewer()`
    `void` | `setExpandedStates()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOTreeExpansionAgent

          public CDOTreeExpansionAgent(CDOView view,
                                       TreeViewer viewer)

  - ### Method Detail

    - #### getView

          public final CDOView getView()

    - #### getViewer

          public final TreeViewer getViewer()

    - #### setExpandedStates

          public void setExpandedStates()

    - #### dispose

          public void dispose()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html